<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">


	<title>Introduction to Bootstrap</title>

	<link rel="stylesheet" 
		href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" 
		integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" 
		crossorigin="anonymous">

	<link rel="stylesheet" type="text/css" href="./index.css">


</head>

<body>
	<h1 class="text-center bg-success">Bootstrap Introduction</h1>

	<div class="container-fluid bg-warning">
		<h2 class="text-center">Classes for Text Color</h2>
		<p class="text-primary">Primary</p>
		<p class="text-secondary">Secondary</p>
		<p class="text-dark">Dark</p>
		<p class="text-muted">Muted</p>
		<p class="text-white">white</p>
	</div>

	<div>
		<h2>Classes for bg colors</h2>
		<div class="bg-success border border-dark">success</div>
		<div class="bg-primary border border-dark">primary</div>
		<div class="bg-warning border border-dark">warning</div>
		<div class="bg-info border border-dark">info</div>
		<div class="bg-danger border border-dark">danger</div>
		<div class="bg-dark border border-dark">dark</div>
	</div>

	<div class="mt-5 p-3 bg-warning">
		Lorem, ipsum dolor sit amet, consectetur adipisicing elit. Impedit ipsa ipsam similique, aspernatur quasi neque voluptate unde ab labore modi ut obcaecati accusamus adipisci sit est, eligendi, facilis sed velit!
	</div>

	<div class="`my-5 px-4 bg-primary text-white">
		Padding and margin on specific sides
		<ul>
			<li>
				mt - pt - margin or padding top
			</li>
			<li>
				mb - pb - margin or padding top
			</li>
			<li>
				mx - px -  x-axis, left and right
			</li>
			<li>
				my - py -  x-axis, left and right
			</li>
		</ul>
	</div>

	<div class="my-5 px-4 bg-info text-dark">
		Bootstrap margin and padding sizes: 0-5 and auto
		<ul>
			<li> 0 - m p 0</li>
			<li>1 - .25rem 4px if default is 16px</li>
			<li>2 - 0.5 rem 8px</li>
			<li>3 - 1rem</li>
			<li>4 - 1.5rem</li>
			<li>5 - 3rem</li>
		</ul>
	</div>


	<div style="width: 60%;" class="mx-auto mt-5 bg-warning">
		in bootstrap, we can use mx-auto class to center an element which display bis block and has definite width
	</div>

	<div class="text-center bg-dark p-4 text-white">
		<button style="height: 100px; width: 100px;">Press me</button>
		<img src="https://bit.ly/fcc-running-cats" alt="kitty">
		<span class="bg-warning" style="height: 100px; width: 100px;">I am an inline element</span>
		<p>Lorem ipsum, dolor, sit amet consectetur adipisicing elit. Ducimus vero</p>
	</div>

	<div>
		<a href="" class="text-danger text-decoration-none">Red</a>
		<a href="" class="text-primary text-decoration-none">Blue</a>
		<a href="" class="text-success text-decoration-none">Green</a>
		<a href="https://www.facebook.com" target="_blank" class="btn btn-danger">Link lang</a>
	</div>

	<div class="p-3">
		<button class="btn btn-danger border border-dark">No color</button>
		<button class="btn btn-success border border-dark">BTN Success</button>
		<button class="btn btn-outline-danger">BTN Outline</button>
		<button class="btn btn-block btn-primary">Block button</button>
	</div>

	<div class="bg-primary">
		<p class="text-lowercase">LOWERED</p>
		<p class="text-uppercase">uppercase</p>
		<p class="text-capitalize">capitalized each text</p>
	</div>

	<div class="rounded border border-dark bg-danger" style="height: 100px; width: 100px;">
		i have rounded corners
	</div>

	<div class="rounded-circle border border-dark bg-danger" style="height: 100px; width: 100px;">
		i look like a circlehave rounded corners
	</div>

	<div class="rounded-pill border border-dark bg-danger" style="height: 100px; width: 500px;">
		i look like a pill
	</div>






<!-- JAVASCRIPT DEPENDENCIES -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" 
		integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" 
		crossorigin="anonymous">
	</script>
	
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" 
		integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" 
		crossorigin="anonymous">
	</script>

</body>


</html> 
